Package ru.bitel.bgbilling.modules.rscm.common.bean

# Class RSCMContractService

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdContractId
ru.bitel.bgbilling.modules.rscm.common.bean.RSCMContractService

All Implemented Interfaces:
  `Serializable`, `ContractIdable`, `Idable`

public class RSCMContractService extends IdContractId implements Serializable
Потребленная договором услуга RSCM модуля.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RSCMContractService()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getAmountDown()`
  `int`
  `getAmountUp()`
  `String`
  `getComment()`
  `BigDecimal`
  `getCost()`
  `LocalDate`
  `getDate()`
  `int`
  `getInstallmentId()`
  `int`
  `getServiceId()`
  `String`
  `getServiceTitle()`
  `String`
  `getUnit()`
  `boolean`
  `isLast()`
  `RSCMContractService`
  `setAmountDown(int amountDown)`
  `RSCMContractService`
  `setAmountUp(int amountUp)`
  `RSCMContractService`
  `setComment(String comment)`
  `RSCMContractService`
  `setContractId(int contractId)`
  `RSCMContractService`
  `setCost(BigDecimal cost)`
  `RSCMContractService`
  `setDate(LocalDate date)`
  `RSCMContractService`
  `setId(int id)`
  Устанавливает id объекта
  `RSCMContractService`
  `setInstallmentId(int installmentId)`
  `RSCMContractService`
  `setLast(boolean last)`
  `RSCMContractService`
  `setServiceId(int serviceId)`
  `RSCMContractService`
  `setServiceTitle(String serviceTitle)`
  `RSCMContractService`
  `setUnit(String unit)`

  ### Methods inherited from class ru.bitel.common.model.IdContractId

  `getContractId`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RSCMContractService

    public RSCMContractService()

- ## Method Details

  - ### getAmountDown

    public int getAmountDown()

  - ### getAmountUp

    public int getAmountUp()

  - ### getComment

    public String getComment()

  - ### getCost

    public BigDecimal getCost()

  - ### getDate

    public LocalDate getDate()

  - ### getInstallmentId

    public int getInstallmentId()

  - ### getServiceId

    public int getServiceId()

  - ### getServiceTitle

    public String getServiceTitle()

  - ### getUnit

    public String getUnit()

  - ### isLast

    public boolean isLast()

  - ### setAmountDown

    public RSCMContractService setAmountDown(int amountDown)

  - ### setAmountUp

    public RSCMContractService setAmountUp(int amountUp)

  - ### setComment

    public RSCMContractService setComment(String comment)

  - ### setContractId

    public RSCMContractService setContractId(int contractId)
    Overrides:
      `setContractId` in class `IdContractId`

  - ### setCost

    public RSCMContractService setCost(BigDecimal cost)

  - ### setDate

    public RSCMContractService setDate(LocalDate date)

  - ### setId

    public RSCMContractService setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `Id`

  - ### setInstallmentId

    public RSCMContractService setInstallmentId(int installmentId)

  - ### setLast

    public RSCMContractService setLast(boolean last)

  - ### setServiceId

    public RSCMContractService setServiceId(int serviceId)

  - ### setServiceTitle

    public RSCMContractService setServiceTitle(String serviceTitle)

  - ### setUnit

    public RSCMContractService setUnit(String unit)